> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a warehouse

> Update a warehouse

### Path parameters

<ParamField path="id" type="integer (int32)" required>
  Warehouse ID
</ParamField>

### Request body

`UpdateWarehouseRequest`

<ParamField body="address" type="object" />

<ParamField body="is_active" type="boolean,null" />

<ParamField body="name" type="string,null" />

<ParamField body="timezone" type="string,null" />

<ParamField body="warehouse_type" type="string,null" />

### Responses

<ResponseField name="200" type="WarehouseResponse" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request PUT \
    --url 'https://api.stateset.com/api/v1/warehouses/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "address": null,
    "is_active": null,
    "name": null,
    "timezone": null,
    "warehouse_type": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "city": null,
    "code": "string",
    "country": null,
    "created_at": "string",
    "id": 1,
    "is_active": true,
    "name": "string",
    "timezone": null,
    "warehouse_type": "string"
  }
  ```
</ResponseExample>
